<template>
  <main
    id="cabinetContext"
    class="cabinetPage">
    <div class="kit view page">
      <div class="container">
        <div class="block navigation">
          <nav-cabinet :nav-active="navActive"/>
        </div>
        <div class="block content">
          <slot name="block-content"/>
        </div>
      </div>
    </div>

    <div class="line modal">
      <slot name="line-modal"/>
    </div>
  </main>
</template>

<script>
import NavCabinet from '~/components/redesign/cabinet/nav-cabinet';

export default {
  name: 'MainLayout',
  components: {
    NavCabinet,
  },
  props: {
    navActive: {
      type: String,
      default: null,
    },
  },
};
</script>

<style lang="scss">
  @import "../../../assets/css/pages/cabinet/_semantic.css";
</style>

<style scoped lang="scss">
  .cabinetPage {
    display: flex;
    height: 100%;
    .kit.view.page {
      display: flex;
      flex-flow: column nowrap;
      flex: 1 0 100%;
      padding: 0;
      position: relative;
      z-index: 15;
      @media screen and (max-width: 980px) {
        margin: -1.5rem 0;
      }

      > .container {
        display: flex;
        flex-flow: row nowrap;
        justify-content: space-between;
        align-content: stretch;
        width: 100%;
        flex: 1 0 100%;
        padding: 2.375rem 0 0 0;

        .block.navigation {
          display: flex;
          flex: 1 0 auto;
          width: 13.25rem;
          background-color: var(--bg-dark);
          border-right: 1px solid var(--border-color-main);
          @media screen and (max-width: 1199px) {
            display: none;
          }
        }

        .block.content {
          display: flex;
          flex-direction: column;
          justify-content: space-between;
          flex: 1 0 auto;
          width: 100%;
          min-height: 30rem;
          /*padding-top: 3.5rem;*/
          @media screen and (min-width: 1200px) {
            max-width: calc(100% - 13.25rem);
            /*padding-top: 3.5rem;*/
          }
          @media screen and (min-width: 981px) {

          }
        }
      }
    }
  }

</style>
